## org.exist.xmldb.test
Class DOMTest.SAXHandler

    java.lang.Object
      org.exist.xmldb.test.DOMTest.SAXHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler

Enclosing class:
  DOMTest

public static class DOMTest.SAXHandler
extends java.lang.Object
implements org.xml.sax.ContentHandler

Method Summary
`void` `characters(char[] ch, int start, int length)`
`void` `endDocument()`
`void` `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName)`
`void` `endPrefixMapping(java.lang.String prefix)`
`void` `ignorableWhitespace(char[] ch, int start, int length)`
`void` `processingInstruction(java.lang.String target, java.lang.String data)`
`void` `setDocumentLocator(org.xml.sax.Locator locator)`
`void` `skippedEntity(java.lang.String name)`
`void` `startDocument()`
`void` `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)`
`void` `startPrefixMapping(java.lang.String prefix, java.lang.String xuri)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### characters

    public void characters(char[] ch,
                           int start,
                           int length)

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`

### endDocument

    public void endDocument()

  Specified by:
    `endDocument` in interface `org.xml.sax.ContentHandler`

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String qName)

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`

### endPrefixMapping

    public void endPrefixMapping(java.lang.String prefix)

  Specified by:
    `endPrefixMapping` in interface `org.xml.sax.ContentHandler`

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)

  Specified by:
    `ignorableWhitespace` in interface `org.xml.sax.ContentHandler`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)

  Specified by:
    `processingInstruction` in interface `org.xml.sax.ContentHandler`

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator locator)

  Specified by:
    `setDocumentLocator` in interface `org.xml.sax.ContentHandler`

### skippedEntity

    public void skippedEntity(java.lang.String name)

  Specified by:
    `skippedEntity` in interface `org.xml.sax.ContentHandler`

### startDocument

    public void startDocument()

  Specified by:
    `startDocument` in interface `org.xml.sax.ContentHandler`

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes atts)

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String xuri)

  Specified by:
    `startPrefixMapping` in interface `org.xml.sax.ContentHandler`

Copyright (C) Wolfgang Meier. All rights reserved.